> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.conversive.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.conversive.ai/_mcp/server.

# Get Call Status

POST https://app.beconversive.com/contact-center/v1/calls/{call_id}/status
Content-Type: application/json

Get the latest saved status for a call. Use this to poll a call's lifecycle state after initiation.

**Note:** Even though `call_id` appears in the URL path, this endpoint currently reads and validates the value from the **request body**. Include `call_id` in **both** the path and the request body.


Reference: https://docs.conversive.ai/api-sdk-docs/get-call-status

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `call_id` (string, required) — The call UUID.

### Body (application/json)

This endpoint expects an object.

- `call_id` (string, required) — The call UUID — must also be provided in the request body.

## Response

### 200

Current call status.

- `call_id` (string, optional) — The call UUID.
- `status` (enum, optional) — The latest saved call status.
  - Allowed values: `initiated`, `ringing`, `active`, `completed`, `failed`, `cancelled`, `no_answer`, `busy`

## Errors

### 400 Bad Request Error

Invalid `call_id` format.

- `any`

### 403 Forbidden Error

Call does not belong to the authenticated account.

- `any`

### 404 Not Found Error

Call not found.

- `any`

## Examples

**Request**

```json
{
  "call_id": "550e8400-e29b-41d4-a716-446655440000"
}
```

**Response**

```json
{
  "call_id": "550e8400-e29b-41d4-a716-446655440000",
  "status": "active"
}
```

**SDK Code**

```python getCallStatus_example
import requests

url = "https://app.beconversive.com/contact-center/v1/calls/call_id/status"

payload = { "call_id": "550e8400-e29b-41d4-a716-446655440000" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript getCallStatus_example
const url = 'https://app.beconversive.com/contact-center/v1/calls/call_id/status';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"call_id":"550e8400-e29b-41d4-a716-446655440000"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go getCallStatus_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://app.beconversive.com/contact-center/v1/calls/call_id/status"

	payload := strings.NewReader("{\n  \"call_id\": \"550e8400-e29b-41d4-a716-446655440000\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby getCallStatus_example
require 'uri'
require 'net/http'

url = URI("https://app.beconversive.com/contact-center/v1/calls/call_id/status")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"call_id\": \"550e8400-e29b-41d4-a716-446655440000\"\n}"

response = http.request(request)
puts response.read_body
```

```java getCallStatus_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://app.beconversive.com/contact-center/v1/calls/call_id/status")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"call_id\": \"550e8400-e29b-41d4-a716-446655440000\"\n}")
  .asString();
```

```php getCallStatus_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://app.beconversive.com/contact-center/v1/calls/call_id/status', [
  'body' => '{
  "call_id": "550e8400-e29b-41d4-a716-446655440000"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp getCallStatus_example
using RestSharp;

var client = new RestClient("https://app.beconversive.com/contact-center/v1/calls/call_id/status");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"call_id\": \"550e8400-e29b-41d4-a716-446655440000\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift getCallStatus_example
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["call_id": "550e8400-e29b-41d4-a716-446655440000"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://app.beconversive.com/contact-center/v1/calls/call_id/status")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```